os_detect 2.0.1 icon indicating copy to clipboard operation
os_detect: ^2.0.1 copied to clipboard

Platform independent OS detection.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add os_detect

With Flutter:

 $ flutter pub add os_detect

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  os_detect: ^2.0.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:os_detect/os_detect.dart';
18
likes
120
pub points
90%
popularity

Publisher

verified publisher icondart.dev

Platform independent OS detection.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Icon for licenses.BSD-3-Clause (LICENSE)

More

Packages that depend on os_detect